Subject: Mega Pharmmacy u can trust

From: "Luken Mahan" <[email-masked]>
Date: Thu, 3 Feb 2005 04:50:50 -0400

if I fail Mr. Stener will be blamed and that will reflect on the
administration.  Naturally, I don't want to fail.  There is no
excuse for my doing so.  Aside from this panic I have never been
in a better position in my life.  But I cannot weather this storm
without assistance, and I want to know if you won't help me.  If
I pull through I will give you my word that I will see that the.
 which has been taken from the treasury is put back there.

Have a nice day!